Waiting Game - Baseband 05.15.04

Discussion in 'Jailbreaks and iOS Hacks' started by trev, Nov 23, 2010.

  1. trev macrumors 6502

    Joined:
    Nov 11, 2006
    Location:
    St. John's, NL
    #1
    Hey all,

    I've come to the sad realization that I'm not going to be able to do a carrier unlock anytime soon. My baseband is 05.15.04. Just wondering if there is anyway to track when this unlock will be available, either through ultrasn0w (or similar), or via downgrade from fuzzyband.

    Trevor
     
  2. PsstGreek macrumors 68040

    PsstGreek

    Joined:
    Oct 21, 2010
    Location:
    Tampa Bay
    #2
    There is usually no ETA on when the updated version of the current unlock will be out. If you have a 3G you can try using FuzzyBand.
     
  3. Zermelo macrumors regular

    Joined:
    Nov 18, 2010
    #3
    Always check the Dev Team blog for latest updates on jailbreaking status and unlock status, accordingly, the unlock should be out soon for 3gs:

    http://blog.iphone-dev.org/
     
  4. trev thread starter macrumors 6502

    Joined:
    Nov 11, 2006
    Location:
    St. John's, NL
    #4
    @PsstGreek:

    Already tried that, not compatible with 05.15.04 yet. Thanks thou!


    @Zermelo:

    Thanks for the link. They seem to be referring to software versions, not baseband's. I know I'm missing something, but what is it.
     
  5. bjerkins macrumors member

    Joined:
    Nov 11, 2010
    #5
    Why don't you share this information that made you so sad? I've only read that the unlock is being worked on and 3g and 3gs users should get theirs soon.

    ,,The i4 unlock is taking more effort though, and no further concrete info is available about that yet.''
    from : http://blog.iphone-dev.org/
     
  6. Zermelo, Nov 23, 2010
    Last edited: Nov 23, 2010

    Zermelo macrumors regular

    Joined:
    Nov 18, 2010
    #6
    Yes they ARE referring to software versions, but if you searched a little deeper into the history, you would know that the CURRENT version of ultrasn0w can unlock up to 05.13.04, on 3gs devices. THUS, the NEW version of ultrasn0w when they address the "unlock situation" will unlock higher basebands, which are currently 05.14.02.

    Moreover, if you been following the tweets by the dev team:

    http://ipodtouchtricks.net/ipod-touch/musclenerd-confirmed-an-upcoming-unlock-for-baseband-051402/

    you would also know that this is the case:

    MuscleNerd Confirmed an Upcoming Unlock For Baseband 05.14.02

    Musclenerd:
    Also, if you are on 05.14.02, I'm assuming you have a 3G or 3GS device, so I'm not sure what there is not to understand in the quote by the dev team in my first post:

    That is right from the site, so expect it this week. What more do you want?
     
  7. trev thread starter macrumors 6502

    Joined:
    Nov 11, 2006
    Location:
    St. John's, NL
    #7
    @Zermelo

    Thanks for the links. But this still won't help me, as my baseband is much higher than 05.14.02.

    I think the previous owners updated the software to 4.2, thus, the baseband jumped to 05.15.04. I've previously downgraded to 4.1 in hopes that the baseband would follow, but to no avail.

    I don't really need any of the fancy things that Pwnage does, all I'm looking for is a carrier unlock. Well, I guess that is ONE of the fancy things that Pwnange does.
     
  8. Zermelo macrumors regular

    Joined:
    Nov 18, 2010
    #8
    Oh, you are correct then, so I suppose you upgraded to 4.2 before taking any precautions?? Well, then, sorry to say, I haven't heard any information on basebands higher than 05.14.02, give the dev team some time.
     
  9. trev thread starter macrumors 6502

    Joined:
    Nov 11, 2006
    Location:
    St. John's, NL
    #9
    No worries, easy mistake. I suppose it's foolish to ask, since I'm sure you would have suggested it, but there's no way to downgrade, right? I tried FuzzyBand, but it's unsupported at this high baseband. I've got no problem doing a master factory reset, if there ever is such a thing.
     
  10. Myzhi macrumors 6502a

    Joined:
    Dec 15, 2009
    #10
    From your other thread: http://forums.macrumors.com/showthread.php?t=1051377

    Why don't you pay $75 for a factory unlock? To give you an idea how long it could take, firmware 4.1 with baseband 5.14 was released 2 1/2 months ago and people are still waiting for that unlock.
     
  11. Zermelo macrumors regular

    Joined:
    Nov 18, 2010
    #11
    Yea, the information on the other thread is up-to-date afaik, there is no way to downgrade the baseband. If you can pay $75 for a carrier unlock, then jump on it. It is a small fee to access the phone functionality of the device and makes it worth more.

    Otherwise, you may be waiting for a while, as the dev-team always says, you may lose your unlock forever, although that hasn't been the case, there is never a guarantee that they can find an exploit to crash the new basebands.
     
  12. kriista1234 macrumors regular

    Joined:
    Jan 12, 2008
    #12
    So I accidentally updated to 4.2.1 on my 3G (in reading that redsn0w worked for the 3G I forgot about the unlock part of things).

    I now have 05.15.04...

    I tried FuzzyBand but it won't work with this bootloader version (5.09, is this part downgradeable?)

    Is there nothing to be done with a 3G with blobs saved and stuff?
     
  13. trev thread starter macrumors 6502

    Joined:
    Nov 11, 2006
    Location:
    St. John's, NL
    #13
    Yeah, people are saying that in the order of weeks, there should be a redsn0w functioning for 05.15.04.
     
  14. kriista1234 macrumors regular

    Joined:
    Jan 12, 2008
    #14
    That's promising news.

    This is a sucky feeling having a phone-less phone. I've managed to JB/unlock stuff fine since 2.x, but I got careless this time.
     
  15. texaskd5 macrumors newbie

    Joined:
    Nov 24, 2010
    #15
    Me too

    Yeah have been jailbreaking since its conception and this is the first time I got careless and updated with an official IPSW and then forgot this RedSn0w release does not cover the baseband, back to my flip phone I gave up years ago, hope we get un unlock this weekend (at least for 3G) :(
     
  16. lucifiel macrumors 6502a

    lucifiel

    Joined:
    Nov 7, 2009
    Location:
    In your basement
    #16
    OP: If you're not in america, you can ask your carrier to unlock it for a fee.

    Though if you ARE in america you're SOL.
     
  17. trev thread starter macrumors 6502

    Joined:
    Nov 11, 2006
    Location:
    St. John's, NL
    #17
    Yeah, the fee is $75. But free is better. I'm gonna wait it out provided it's no longer than a month or so. Any estimates?
     
  18. Applejuiced macrumors Westmere

    Applejuiced

    Joined:
    Apr 16, 2008
    Location:
    At the iPhone hacks section.
    #18
    There's no such thing.
    All you can do is wait and be very carefull with firmware updates if you need an unlock.
    I see so many people keep "accidentally updating" and not be able to use their iphones this never ends I guess:D
     
  19. dhlizard macrumors G4

    dhlizard

    Joined:
    Mar 16, 2009
    Location:
    The Jailbreak Community
    #19
    $75 for a factory unlock is a steal ! :)
     
  20. lucifiel macrumors 6502a

    lucifiel

    Joined:
    Nov 7, 2009
    Location:
    In your basement
    #20
    Don't mean to rub salt in your wounds, but in Australia, Virgin Mobile does it for free.

    And $75 to be able to use your phone again, I dunno, that sounds pretty good to me. ANd once it's done. It's done. YOu won't EVER need to worry about the Baseband game again.
     
  21. kriista1234 macrumors regular

    Joined:
    Jan 12, 2008
    #21
    Wait, how does this work? I'm in the UK, on Virgin Mobile (pay as you go though, not a contract). Do I just call them up and tell them I want a carrier unlock and they'll do it?

     
  22. chargit macrumors 6502a

    chargit

    Joined:
    Jan 17, 2010
    Location:
    Evansville, In
    #22
    when I was little I can still remember one of the first things my momma taught me....the stove is HOT honey she said. but you know me....I....well I didnt actually touch it but I put my little brothers hand on it and momma was right! so when the Dev team said wait for the official JB & Unlock I have a very stong tendancy to wait...........

    so people just wait til the Dev Team says "it cool" :cool:
     
  23. labman macrumors 604

    labman

    Joined:
    Jun 9, 2009
    Location:
    Mich near Detroit
    #23
    problem is most people can get there phones Factory Unlocked so So the JB unlock is not needed as much. Many Dev-team members can get the Factory unlock it's not a priority anymore. hopefully Att will have to unlock as well
     
  24. scirica macrumors 68020

    scirica

    Joined:
    May 13, 2008
    Location:
    Dallas, TX
    #24
    I'm amazed when I hear that someone who only cares about unlock, and none of the "fancy" cydia features upgrades their phone to an unlockable baseband. I realize it can happen by mistake sometimes, but most complaints are from people that just seem to eager to upgrade for no apparent reason.

    It's been said here a thousand times. If you really on your unlock, you should be the last ones looking to upgrade your firmware. Period.

    I do hope that the Dev Team comes out with this soon though. It appears to be imminent.
     
  25. gh0001 macrumors member

    Joined:
    Sep 10, 2008
    #25
    tethered unlock is already available. untethered unlock for newer devices is what we are waiting for.
     

Share This Page